Closed Bug 524761 Opened 10 years ago Closed 9 years ago

Intermittent failure in test_resolveNullBookmarkTitles.js

Categories

(Firefox :: Bookmarks & History, defect)

x86
Linux
defect
Not set

Tracking

()

RESOLVED FIXED

People

(Reporter: sicking, Unassigned)

References

Details

(Keywords: intermittent-failure, Whiteboard: [needs investigation])

Whiteboard: [orange]
Marco: Any ideas what's going on here?
OS: Mac OS X → Linux
no, looks random for sure, but it's pretty strange, that makes me think to bug 507790, but needs to be investigated apart before pointing to that.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258023410.1258027342.19012.gz
Linux mozilla-central opt test everythingelse on 2009/11/12 02:56:50
Blocks: 438871
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258740730.1258748420.9792.gz
Linux mozilla-central debug test everythingelse on 2009/11/20 10:12:10
s: moz2-linux-slave14
Bug 451915 - move Firefox/Places bugs to Firefox/Bookmarks and History. Remove all bugspam from this move by filtering for the string "places-to-b-and-h".

In Thunderbird 3.0b, you do that as follows:
Tools | Message Filters
Make sure the correct account is selected. Click "New"
Conditions: Body   contains   places-to-b-and-h
Change the action to "Delete Message".
Select "Manually Run" from the dropdown at the top.
Click OK.

Select the filter in the list, make sure "Inbox" is selected at the bottom, and click "Run Now". This should delete all the bugspam. You can then delete the filter.

Gerv
Component: Places → Bookmarks & History
QA Contact: places → bookmarks
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260830210.1260837685.6074.gz
Linux mozilla-central debug test everythingelse on 2009/12/14 14:36:50
s: moz2-linux-slave15

TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_resolveNullBookmarkTitles.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_resolveNullBookmarkTitles.js | null == foo title - See following stack:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261621287.1261625666.12898.gz
Linux mozilla-central opt test everythingelse on 2009/12/23 18:21:27
s: moz2-linux-slave01
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265166589.1265169793.9582.gz
Linux mozilla-central debug test xpcshell on 2010/02/02 19:09:49
s: moz2-linux-slave09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267141531.1267144061.19011.gz
Linux mozilla-central debug test xpcshell on 2010/02/25 15:45:31
s: moz2-linux-slave08
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267696487.1267697920.4622.gz
Linux mozilla-central opt test xpcshell on 2010/03/04 01:54:47
s: moz2-linux-slave26
Whiteboard: [orange] → [orange][needs investigation]
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1292354627.1292356540.28732.gz
Linux comm-central-trunk debug test xpcshell on 2010/12/14 11:23:47
TEST-UNEXPECTED-FAIL | /builds/slave/comm-central-trunk-linux-debug-unittest-xpcshell/build/xpcshell/tests/toolkit/components/places/tests/unit/test_resolveNullBookmarkTitles.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/comm-central-trunk-linux-debug-unittest-xpcshell/build/xpcshell/tests/toolkit/components/places/tests/unit/test_resolveNullBookmarkTitles.js | null == foo title - See following stack:
I think this failure was actually due to the temp tables, I can't be 100% but we killed them on 15 Dec, there is no failure after that date.
Can make sense since a broken union could have brought to getting title from the wrong table.  I'm going to resolve this and let's hope I'm right.
Status: NEW → RESOLVED
Closed: 9 years ago
Depends on: 552023
Resolution: --- → FIXED
Whiteboard: [orange][needs investigation] → [needs investigation]
You need to log in before you can comment on or make changes to this bug.